
<div align="center">
<h1>CheggPy 🐍</h1>
  <img src="https://github.com/Harry-kp/cheggpy/assets/55315065/9ae0bf28-0831-4111-8970-cd5e9d586b3e" width=720 height=500 alt="Cheggbot Logo">
  <p>CheggPy is a Python package designed for interacting with the Chegg API, specifically tailored for Chegg Experts. It provides functionalities to login, fetch questions, analyze them based on keywords, and skip questions as needed. With CheggPy, you can automate tasks related to answering questions on Chegg's platform efficiently.</p>
</div>

---

![GitHub](https://img.shields.io/github/license/Harry-kp/cheggpy)

## Features ✨

- **Login**: Seamlessly login to Chegg using your credentials.
- **Question Handling**: Fetch the latest questions, analyze them based on specified keywords, and skip them if necessary.
- **Automated Interaction**: Automate the process of fetching and analyzing questions to streamline your workflow.
- **Customizable**: Adjust timeouts and keywords to match your preferences.
- **Randomized Timeouts**: Randomize timeouts to avoid detection and improve efficiency.
- **Clear Interface**: Easy-to-understand interface with banners and notifications for enhanced user experience.

## Documentation

- For detailed usage instructions, please refer to the [documentation](https://www.harrykp.tech/cheggpy/)

## Installation 🚀

You can install CheggPy via pip:

```bash
pip install cheggpy
```

## Usage 🛠️

Here's a simple example to get you started:

```shell
cheggbot --username <your-username> --password <your-password> --keywords python java c++
```

## Usage (For Developers) 🛠️

Refer to the ```quickstart.py``` file for a quick start guide.

## Contributing 🤝

Contributions are welcome! Please feel free to open issues or pull requests for any improvements or features you'd like to see.

## License 📝

This project is licensed under the MIT License - see the [LICENSE](https://github.com/Harry-kp/cheggpy/blob/main/LICENSE) file for details.

---
